Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000416KdenliveMLTpublic2008-11-27 17:432011-06-10 10:38
ReporterWeevil 
Assigned Toddennedy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version 
Summary0000416: FLAC files - just doesn't work
DescriptionFlac audio files have incorrect durations in clip monitor and on the timeline, don't play on timeline often and some of them even crash kdenlive altogether. This format just isn't ready for use I think.

To reproduce; create your own flac or pick one from archive.org.
Additional InformationBoth ffplay and inigo have problems playing if you skip forward or backwards in flac files. Kaffeine also, VLC is the only player that works for me with this format sofar. Even ffmpeg has problems reading length of flac files when running ffmpeg -i
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships
has duplicate 0001813closedGranjow FLAC file remains silent 

-  Notes
(0001456)
cinephiliac (updater)
2008-11-28 22:33
edited on: 2008-11-28 22:36

Incorrect timelengths and some playback troubles (although no crashes) confirmed on:
ffmpeg: Revision: 15948 Last Changed Date: 2008-11-27 19:32:24 -0500 (Thu, 27 Nov 2008)
mlt: Revision: 1244 Last Changed Date: 2008-11-25 16:02:20 -0500 (Tue, 25 Nov 2008)
mlt++: Revision: 1244 Last Changed Date: 2008-11-06 00:32:23 -0500 (Thu, 06 Nov 2008)
kdenlive: Revision: 2740 Last Changed Date: 2008-11-27 08:09:10 -0500 (Thu, 27 Nov 2008)

Using FLAC file (22mb):
http://www.archive.org/download/SC3_2007-03-12.flac24/SC3_2007-03-12_t01.flac [^]

Internet archive lists it as 1:16 minutes, while Kdenlive reports it as 8:20.

(0001460)
ddennedy (developer)
2008-11-30 04:29

I can confirm that the FLAC file at archive.org does not work even in ffmpeg. That file is 24 bits per sample, which I think ffmpeg or its flac component does not yet support (and therefore MLT unless MLT comes up with its own module, which is not preferred). I then made a 16 bit FLAC file, and it works, but the duration is wrong. If I explicitly set the duration (outside of kdenlive), then it works fine.

I think the next step is to look at ffmpeg's bug tracker (roundup) for a known issue. Then, if there is no one else currently working on it, then we need to consider a volunteer. Perhaps me, but not yet. :-)
(0001483)
ddennedy (developer)
2008-12-02 09:32

https://roundup.mplayerhq.hu/roundup/ffmpeg/issue?%40search_text=flac&title=&%40columns=title&topic=&id=&%40columns=id&creation=&activity=&%40columns=activity&%40sort=activity&priority=&%40group=priority&type=&status=&%40columns=status&substatus=&%40columns=substatus&%40pagesize=50&%40startwith=0&%40action=search [^]
(0001522)
ddennedy (developer)
2008-12-04 08:07

I have confirmed that 16 bit FLAC in a .mov or .ogg file works fine. That might be our workaround for now. Also, I created a 24 bit WAV (-acodec pcm_s24le) and that works fine as well.
(0001523)
ddennedy (developer)
2008-12-04 08:10

The WAV that results from 'flac -d C3_2007-03-12.flac24/SC3_2007-03-12_t01.flac' also works in kdenlive.
(0006840)
Granjow (developer)
2011-06-10 10:04

Has been fixed in the meantime. FLAC plays fine here. The described file is reported with the correct file length as well in kdenlive.

- Issue History
Date Modified Username Field Change
2008-11-27 17:43 Weevil New Issue
2008-11-27 17:43 Weevil Build/Install Method => Build Wizard
2008-11-28 22:33 cinephiliac Note Added: 0001456
2008-11-28 22:35 cinephiliac Status new => acknowledged
2008-11-28 22:35 cinephiliac Note Edited: 0001456
2008-11-28 22:35 cinephiliac Note Edited: 0001456
2008-11-28 22:36 cinephiliac Note Edited: 0001456
2008-11-30 04:29 ddennedy Note Added: 0001460
2008-12-02 09:32 ddennedy Note Added: 0001483
2008-12-04 08:07 ddennedy Note Added: 0001522
2008-12-04 08:10 ddennedy Note Added: 0001523
2009-06-03 08:26 ddennedy Status acknowledged => assigned
2009-06-03 08:26 ddennedy Assigned To => ddennedy
2011-03-03 06:44 ddennedy Relationship added has duplicate 0001813
2011-06-10 10:04 Granjow Note Added: 0006840
2011-06-10 10:04 Granjow Status assigned => resolved
2011-06-10 10:04 Granjow Resolution open => fixed
2011-06-10 10:38 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker